<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Early Adopter Feedback Form</title>
    <style>
        body {
            font-family: 'Helvetica Neue', sans-serif;
            background-color: #f7f9fc;
            color: #333;
            margin: 0;
            padding: 20px;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
        .form-container {
            background: white;
            max-width: 600px;
            width: 100%;
            padding: 30px;
            border-radius: 15px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            overflow-y: auto;
            max-height: 90vh;
        }
        .form-container h2 {
            margin-bottom: 20px;
            color: #1f2937;
        }
        .form-group {
            margin-bottom: 15px;
        }
        label {
            display: block;
            margin-bottom: 5px;
            color: #4b5563;
            font-weight: 600;
        }
        input, select, textarea {
            width: 100%;
            padding: 10px;
            margin-top: 5px;
            margin-bottom: 10px;
            border: 1px solid #d1d5db;
            border-radius: 8px;
            box-sizing: border-box;
            transition: all 0.3s ease;
        }
        input:focus, select:focus, textarea:focus {
            border-color: #6366f1;
            box-shadow: 0 0 5px rgba(99, 102, 241, 0.5);
        }
        button {
            padding: 12px 20px;
            background-color: #6366f1;
            color: white;
            border: none;
            border-radius: 8px;
            cursor: pointer;
            transition: background-color 0.3s ease;
        }
        button:hover {
            background-color: #4f46e5;
        }
        .checkbox-group {
            display: flex;
            flex-direction: column;
            gap: 10px;
        }

        .checkbox-group div {
            display: flex;
            align-items: center;
            gap: 10px;
        }

        .checkbox-group label {
            margin-bottom: 0;
            flex-grow: 1;
        }

        @media (max-width: 600px) {
            .form-container {
                padding: 20px;
            }
            button {
                width: 100%;
                padding: 12px 0;
            }
        }
    </style>
</head>
<body>

<div class="form-container">
    <h2>Early Adopter Feedback Form</h2>
    <form id="feedbackForm">
        <!-- Personal Information -->
        <div class="form-group">
            <label for="name">Name:</label>
            <input type="text" id="name" name="name" required>
        </div>
        <div class="form-group">
            <label for="email">Email:</label>
            <input type="email" id="email" name="email" required>
        </div>
        <div class="form-group">
            <label for="company">Company/Organization:</label>
            <input type="text" id="company" name="company">
        </div>
        <div class="form-group">
            <label for="jobTitle">Job Title:</label>
            <input type="text" id="jobTitle" name="jobTitle">
        </div>
        <div class="form-group">
            <label for="industry">Industry:</label>
            <input type="text" id="industry" name="industry">
        </div>

        <!-- User's Technical Background -->
        <div class="form-group">
            <label for="technicalLevel">What is your technical level (in coding software)?</label>
            <select id="technicalLevel" name="technicalLevel" required>
                <option value="beginner">Beginner</option>
                <option value="intermediate">Intermediate</option>
                <option value="advanced">Advanced</option>
                <option value="expert">Expert</option>
            </select>
        </div>

        <!-- Interaction and Experience -->
        <div class="form-group">
            <label for="interactionIntuitive">How intuitive did you find the interaction with the AI for gathering information about the app you want to build?</label>
            <select id="interactionIntuitive" name="interactionIntuitive" required>
                <option value="veryIntuitive">Very intuitive</option>
                <option value="intuitive">Intuitive</option>
                <option value="neutral">Neutral</option>
                <option value="confusing">Confusing</option>
                <option value="veryConfusing">Very confusing</option>
            </select>
        </div>
        <div class="form-group">
            <label for="helpfulAspects">What aspects of the AI interaction did you find most helpful?</label>
            <textarea id="helpfulAspects" name="helpfulAspects" rows="3"></textarea>
        </div>

        <!-- Features and Functionality -->
        <div class="form-group">
            <label>Which features of the AI software builder did you use the most? (Select all that apply)</label>
            <div class="checkbox-group">
                <div>
                    <input type="checkbox" name="features" value="chatRequirementGathering">
                    <label>Chat-based requirement gathering</label>
                </div>
                <div>
                    <input type="checkbox" name="features" value="autoCodeGeneration">
                    <label>Automatic code generation</label>
                </div>
                <div>
                    <input type="checkbox" name="features" value="thirdPartyIntegration">
                    <label>Integration with third-party services</label>
                </div>
                <div>
                    <input type="checkbox" name="features" value="realTimeCollaboration">
                    <label>Real-time collaboration</label>
                </div>
                <div>
                    <input type="checkbox" name="features" value="customTemplateCreation">
                    <label>Custom template creation</label>
                </div>
                <div>
                    <input type="checkbox" name="features" value="other">
                    <label>Other (please specify):</label>
                </div>
                <div>
                    <input type="text" name="otherFeature" id="otherFeature">
                </div>
            </div>
        </div>
        <div class="form-group">
            <label for="missingFeatures">Are there any specific features you feel are missing or could be improved to better assist in building your app? Please specify.</label>
            <textarea id="missingFeatures" name="missingFeatures" rows="3"></textarea>
        </div>

        <!-- Comparison with Other Tools -->
        <div class="form-group">
            <label for="standoutFeatures">What do you think are the standout features or advantages of our AI software builder compared to other similar tools you have used?</label>
            <textarea id="standoutFeatures" name="standoutFeatures" rows="3"></textarea>
        </div>
        <div class="form-group">
            <label for="improvementAreas">Are there any areas where you feel our AI software builder could improve to better compete with other tools available? Please specify.</label>
            <textarea id="improvementAreas" name="improvementAreas" rows="3"></textarea>
        </div>

        <!-- User Experience and Usability -->
        <div class="form-group">
            <label for="navigationEase">How easy was it to navigate and use our AI software builder?</label>
            <select id="navigationEase" name="navigationEase" required>
                <option value="veryEasy">Very easy</option>
                <option value="easy">Easy</option>
                <option value="neutral">Neutral</option>
                <option value="difficult">Difficult</option>
                <option value="veryDifficult">Very difficult</option>
            </select>
        </div>
        <div class="form-group">
            <label for="designRating">How would you rate the design and layout of our AI software builder?</label>
            <select id="designRating" name="designRating" required>
                <option value="excellent">Excellent</option>
                <option value="good">Good</option>
                <option value="average">Average</option>
                <option value="poor">Poor</option>
            </select>
        </div>

        <!-- Performance and Reliability -->
        <div class="form-group">
            <label for="performanceRating">How would you rate the performance of our AI software builder (e.g., speed, responsiveness)?</label>
            <select id="performanceRating" name="performanceRating" required>
                <option value="excellent">Excellent</option>
                <option value="good">Good</option>
                <option value="average">Average</option>
                <option value="poor">Poor</option>
            </select>
        </div>
        <div class="form-group">
            <label for="crashesDowntime">Have you experienced any crashes or downtime while using our AI software builder? If yes, please provide details.</label>
            <textarea id="crashesDowntime" name="crashesDowntime" rows="3"></textarea>
        </div>

        <!-- Support and Documentation -->
        <div class="form-group">
            <label for="supportRating">How would you rate the quality of our customer support?</label>
            <select id="supportRating" name="supportRating">
                <option value="excellent">Excellent</option>
                <option value="good">Good</option>
                <option value="average">Average</option>
                <option value="poor">Poor</option>
                <option value="notApplicable">Not applicable (I haven't used it)</option>
            </select>
        </div>
        <div class="form-group">
            <label for="documentationRating">How would you rate the quality of our documentation and resources?</label>
            <select id="documentationRating" name="documentationRating">
                <option value="excellent">Excellent</option>
                <option value="good">Good</option>
                <option value="average">Average</option>
                <option value="poor">Poor</option>
                <option value="notApplicable">Not applicable (I haven't used it)</option>
            </select>
        </div>

        <!-- Overall Satisfaction -->
        <div class="form-group">
            <label for="overallSatisfaction">How satisfied are you with our AI software builder overall?</label>
            <select id="overallSatisfaction" name="overallSatisfaction" required>
                <option value="verySatisfied">Very satisfied</option>
                <option value="satisfied">Satisfied</option>
                <option value="neutral">Neutral</option>
                <option value="dissatisfied">Dissatisfied</option>
                <option value="veryDissatisfied">Very dissatisfied</option>
            </select>
        </div>
        <div class="form-group">
            <label for="recommend">Would you recommend our AI software builder to others?</label>
            <select id="recommend" name="recommend" required>
                <option value="yes">Yes</option>
                <option value="no">No</option>
                <option value="maybe">Maybe</option>
            </select>
        </div>

        <!-- Additional Comments -->
        <div class="form-group">
            <label for="additionalComments">Do you have any additional comments or suggestions for us?</label>
            <textarea id="additionalComments" name="additionalComments" rows="3"></textarea>
        </div>

        <button type="submit">Submit Feedback</button>
    </form>
</div>

<script>
    document.getElementById('feedbackForm').addEventListener('submit', function(event) {
        event.preventDefault();
        const formData = new FormData(this);
        const data = {};
        formData.forEach((value, key) => (data[key] = value));

        fetch('http://localhost:3000/send-feedback', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify(data)
        })
        .then(response => response.text())
        .then(result => {
            console.log('Feedback Submitted:', result);
            alert('Thank you for your feedback!');
            this.reset();
        })
        .catch(error => {
            console.error('Error submitting feedback:', error);
            alert('There was an error submitting your feedback. Please try again later.');
        });
    });
</script>

</body>
</html>
